import numpy as np
import matplotlib.pyplot as plt
import scipy.stats

def my_poisson(b):
    c = 0
    v = np.random.exponential(1/b)
    while True:
        if v > 1:
            break
        v += np.random.exponential(1/b)
        c += 1
    return c

b = 10
data = []
for i in range(10000):
    data.append(my_poisson(b))
data = np.array(data)
max_v = data.max()
x_rng = np.arange(-0.5, max_v + 1, 1.0)
plt.hist(data, density = True, bins = x_rng)

x_range = np.arange(0, max_v)
ck_pssn = [scipy.stats.poisson.pmf(v, b) for v in x_range] 
plt.plot(x_range, ck_pssn, linewidth = 3)

plt.show()
