import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as ss

p = 0.1

for t in range(100):
    if np.random.uniform() < p:
        print('1', end = '')
    else:
        print('0', end = '')
print()

def w_time():
    t = 0
    while True:
        if np.random.uniform() < p:
            break
        t += 1
    return t

for i in range(100):
    print(w_time(), end = ' ')

n_samples = 10000
p = 0.1
data = []
for i in range(n_samples):
    data.append(w_time())
plt.hist(data, density = True, bins = 20)

def exp_d(t, b):
    return b * np.exp(-t * b)

b = p / (1.0 - p)

max_data = max(data)
t_range = [t for t in np.arange(0, max_data, 0.1)]
probs = [exp_d(t, b) for t in t_range]
plt.plot(t_range, probs, linewidth = 3)


plt.show()
